Bug 1543375 - SELinux is preventing unix_update from using the 'fsetid' capabilities.
Summary: SELinux is preventing unix_update from using the 'fsetid' capabilities.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cabdcada73028b0ba7edd56fdf8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-08 11:00 UTC by Murilo Opsfelder Araujo
Modified: 2018-03-20 18:17 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-283.28.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 18:17:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Murilo Opsfelder Araujo 2018-02-08 11:00:05 UTC
Description of problem:
I login with my username on Fedora 27 (GNOME with Xorg) and the SELinux AVC alert icon is displayed.
SELinux is preventing unix_update from using the 'fsetid' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that unix_update should have the fsetid capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'unix_update' --raw | audit2allow -M my-unixupdate
# semodule -X 300 -i my-unixupdate.pp

Additional Information:
Source Context                system_u:system_r:updpwd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:updpwd_t:s0-s0:c0.c1023
Target Objects                Unknown [ capability ]
Source                        unix_update
Source Path                   unix_update
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.17.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.14.3-300.fc27.x86_64 #1 SMP Mon
                              Dec 4 17:18:27 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-12-12 14:14:25 -02
Last Seen                     2017-12-12 14:14:25 -02
Local ID                      b1434634-6993-456e-bbcd-4734fccecbcf

Raw Audit Messages
type=AVC msg=audit(1513095265.305:429): avc:  denied  { fsetid } for  pid=8291 comm="unix_update" capability=4  scontext=system_u:system_r:updpwd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:updpwd_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: unix_update,updpwd_t,updpwd_t,capability,fsetid

Version-Release number of selected component:
selinux-policy-3.13.1-283.17.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.14.16-300.fc27.x86_64
type:           libreport

Comment 1 Murilo Opsfelder Araujo 2018-02-08 13:56:08 UTC
The error still persists with selinux-policy-3.13.1-283.24.fc27.noarch.

Comment 2 Fedora Update System 2018-03-12 18:13:13 UTC
selinux-policy-3.13.1-283.28.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 3 Fedora Update System 2018-03-12 18:19:32 UTC
selinux-policy-3.13.1-283.28.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 4 Fedora Update System 2018-03-14 01:36:06 UTC
selinux-policy-3.13.1-283.28.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 5 Fedora Update System 2018-03-20 18:17:39 UTC
selinux-policy-3.13.1-283.28.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.